/* SIDE BAR PLACEMENT */
.wrapper {
    display: flex;
    width: 100%;
}

#sidebar {
    width: 250px;
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    z-index: 999;
    transition: all 0.3s;
    font-family: 'Open Sans', sans-serif;
}

#sidebar.active {
    margin-left: -250px;
}

#sidebar a[data-toggle="collapse"] {
    position: relative;
}

#sidebar .dropdown-toggle::after {
    display: block;
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
}

#site-wrapper {
    width: calc(100% - 250px);
    min-height: 100vh;
    position: absolute;
    top: 0;
    right: 0;
    transition: all 0.3s;
}

#site-wrapper.active {
    width: 100%;
}

#navbar-top {
    display: none;
    background: #383c4a;
}

@media (max-width: 768px) {
    #sidebar {
        margin-left: -250px;
    }

    #sidebar.active {
        margin-left: 0;
    }

    #site-wrapper.active {
        width: calc(100% - 250px);
    }

    #site-wrapper {
        width: 100%;
    }

    #navbar-top {
        display: block;
    }

    #site-wrapper.active .navbar-brand {
        display: none;
    }

    #site-wrapper .navbar-brand {
        display: block;
    }
}

/* SIDEBAR STYLE */

#sidebar body {
    background: #fafafa;
}

#sidebar a, #sidebar a:hover, #sidebar a:focus {
    color: inherit;
    text-decoration: none;
    transition: all 0.3s;
}

#sidebar {
    background: #404552;
    color: #fff;
}

#sidebar .sidebar-header {
    padding: 20px;
    background: #383c4a;
}

#sidebar ul.components {
    padding: 20px 0;
}

#sidebar ul p {
    color: #fff;
    padding: 10px;
}

#sidebar ul li a {
    padding: 10px;
    font-size: 1.1em;
    display: block;
}

#sidebar ul li a:hover {
    color: #404552;
    background: #fff;
}

#sidebar ul li.active > a, #sidebar a[aria-expanded="true"] {
    color: #fff;
    background: #383c4a;
}

#sidebar ul ul a {
    font-size: 0.9em !important;
    padding-left: 30px !important;
    background: #383c4a;
}